none
Attach database failed RRS feed

  • 질문

  • 저는 SQL Server 2008 R2를 사용하고 있습니다.

    mdf파일을 SQL 서버에 붙이는데 오류가 나옵니다.

    Error Masssage-------------------------------------------------------------------------------------

    An exception occurred while execulting a Transact-SQL statement or batch.

    (Microsof.SqlServer.ConnectionInfo)

    The database cannot be opened because it is version 661. This server supports version 662 and earlier. A downgrade path is not supprted.

    ------------------------------------------------------------------------------------------------------

    버전 문제인거 같긴한데.. 왜 안됄까요???

    2012년 4월 5일 목요일 오후 1:55

답변

  • 안녕하십니까? S큐L 님,
    Microsoft MSDN의Forum 사이트를 방문해 주셔서 감사합니다.

    문의 하신 ”Attach database failed”에 대해 답변드리겠습니다.

    제 생각에는 버전을 정확히 확인하는것이 좋을 것 같습니다.
    SELECT SERVERPROPERTY('productversion'), SERVERPROPERTY ('productlevel'), SERVERPROPERTY ('edition')
    The database cannot be opened because it is version 661. This server supports versions 662, 655 and earlier than 655. A downgrade path is not supported

    제생각에는 SQL버전 업그레이드가 필요할 것 같습니다.

    [참조자료]
    SQL Server 버전과 에디션을 확인하는 방법

    제시해 드린 답변이 도움이 되었기를 바랍니다.

    답변이 문제 해결에 도움이 되었다면 답변으로 채택을 부탁드립니다.
    하지만 문제 해결이 되지 않아서 정확한 답변을 원하는 경우에는 문제의 정보를 더 자세하게 답변으로 제공해주시기 바랍니다.

    • 답변으로 표시됨 Qler 2012년 4월 18일 수요일 오전 2:14
    2012년 4월 5일 목요일 오후 2:00
    중재자
  • 안녕하세요 S큐L님

    위의 문제는 버전에 대한 이슈입니다.

    현재 파일의 버전은 SQL Server 2008 R2(661) 버전인데...

    이를 이전 버전 즉 SQL Server 2008 에(아마도 SP2) 연결하려고 시도하기 때문에 발생하는 오류입니다.

    혹시 로컬에 인스턴스가 여러 개 설치되어 있다면,

    원하시는 SQL Server 2008 R2 인스턴스에 제대로 연결되었는지 확인해 보시기 바랍니다.

    버전과 에디션의 확인은 간단하게 아래의 명령으로 할 수 있습니다.

    select @@version

    해당 연결작업을 수행하려고 하는 인스턴스가 SQL Server 2008R2인지 다시 한 번 확인하세요.

    감사합니다.

    씨퀄로(SQLRoad.com)

    성대중


    Best Regards, Daejoong Samuel Sung Microsoft SQL Server MVP,MCITP,MSTS, Senior Consultant @ SQLRoad.COM

    • 답변으로 표시됨 Qler 2012년 4월 18일 수요일 오전 2:14
    2012년 4월 10일 화요일 오전 9:36

모든 응답

  • 안녕하십니까? S큐L 님,
    Microsoft MSDN의Forum 사이트를 방문해 주셔서 감사합니다.

    문의 하신 ”Attach database failed”에 대해 답변드리겠습니다.

    제 생각에는 버전을 정확히 확인하는것이 좋을 것 같습니다.
    SELECT SERVERPROPERTY('productversion'), SERVERPROPERTY ('productlevel'), SERVERPROPERTY ('edition')
    The database cannot be opened because it is version 661. This server supports versions 662, 655 and earlier than 655. A downgrade path is not supported

    제생각에는 SQL버전 업그레이드가 필요할 것 같습니다.

    [참조자료]
    SQL Server 버전과 에디션을 확인하는 방법

    제시해 드린 답변이 도움이 되었기를 바랍니다.

    답변이 문제 해결에 도움이 되었다면 답변으로 채택을 부탁드립니다.
    하지만 문제 해결이 되지 않아서 정확한 답변을 원하는 경우에는 문제의 정보를 더 자세하게 답변으로 제공해주시기 바랍니다.

    • 답변으로 표시됨 Qler 2012년 4월 18일 수요일 오전 2:14
    2012년 4월 5일 목요일 오후 2:00
    중재자
  • 안녕하세요 S큐L님

    위의 문제는 버전에 대한 이슈입니다.

    현재 파일의 버전은 SQL Server 2008 R2(661) 버전인데...

    이를 이전 버전 즉 SQL Server 2008 에(아마도 SP2) 연결하려고 시도하기 때문에 발생하는 오류입니다.

    혹시 로컬에 인스턴스가 여러 개 설치되어 있다면,

    원하시는 SQL Server 2008 R2 인스턴스에 제대로 연결되었는지 확인해 보시기 바랍니다.

    버전과 에디션의 확인은 간단하게 아래의 명령으로 할 수 있습니다.

    select @@version

    해당 연결작업을 수행하려고 하는 인스턴스가 SQL Server 2008R2인지 다시 한 번 확인하세요.

    감사합니다.

    씨퀄로(SQLRoad.com)

    성대중


    Best Regards, Daejoong Samuel Sung Microsoft SQL Server MVP,MCITP,MSTS, Senior Consultant @ SQLRoad.COM

    • 답변으로 표시됨 Qler 2012년 4월 18일 수요일 오전 2:14
    2012년 4월 10일 화요일 오전 9:36